Skip to main content
POST
/
applications
/
{id}
/
env-vars
Create environment variable
curl --request POST \
  --url https://api.sevalla.com/v3/applications/{id}/env-vars \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "API_BASE_URL",
  "value": "https://api.example.com",
  "is_runtime": true,
  "is_buildtime": true
}
'
{
  "id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
  "app_id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
  "key": "DATABASE_URL",
  "value": "postgres://user:pass@host:5432/db",
  "is_runtime": true,
  "is_buildtime": true,
  "created_at": "2025-01-30T00:00:00.000Z",
  "updated_at": "2025-01-30T00:00:00.000Z"
}

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token in the Authorization header.

Path Parameters

id
string<uuid>
required

Application identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

Body

application/json
key
string
required

Name of the environment variable. Must be unique within the application scope.

Required string length: 1 - 255
Example:

"API_BASE_URL"

value
string
required

Value of the environment variable. Will be stored encrypted at rest.

Maximum string length: 32768
Example:

"https://api.example.com"

is_runtime
boolean
default:true

Whether this variable is available at runtime. Defaults to true.

Example:

true

is_buildtime
boolean
default:true

Whether this variable is available during the build step. Defaults to true.

Example:

true

Response

Default Response

id
string<uuid>
required

Unique identifier for the environment variable

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

app_id
string<uuid>
required

Identifier of the application this environment variable belongs to

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

key
string
required

Name of the environment variable. Must be unique within the application scope.

Required string length: 1 - 255
Example:

"DATABASE_URL"

value
string
required

Value of the environment variable. Stored encrypted at rest.

Maximum string length: 32768
Example:

"postgres://user:pass@host:5432/db"

is_runtime
boolean | null
required

Whether this variable is available at runtime. Defaults to true when created.

Example:

true

is_buildtime
boolean | null
required

Whether this variable is available during the build step. Defaults to true when created.

Example:

true

created_at
string<date-time>
required

Timestamp when the environment variable was created, in ISO 8601 format

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2025-01-30T00:00:00.000Z"

updated_at
string<date-time>
required

Timestamp when the environment variable was last modified, in ISO 8601 format

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2025-01-30T00:00:00.000Z"